import request from '@/utils/request'

export function getAllDictionary() {
  return request({
    url: '/dictionary/getAllDictionary',
    method: 'get'
  })
}

export function getHospitalList() {
  return request({
    url: '/hospital/getHospitalList',
    method: 'get'
  })
}

export function getAllSponsorList() {
  return request({
    url: '/sponsor/getAllSponsorList',
    method: 'get'
  })
}

export function getAllCROList() {
  return request({
    url: '/cro/getAllCROList',
    method: 'get'
  })
}
export function getAllSiteList() {
  return request({
    url: '/site/getAllSiteList',
    method: 'get'
  })
}

export function getUserSystemNoticeList(param) {
  return request({
    url: '/SystemNotice/getUserSystemNoticeList',
    method: 'post',
    data: param
  })
}

export function getUserNoticeList() {
  return request({
    url: '/SystemNotice/getUserNoticeList',
    method: 'get'
  })
}

export function setSystemNoticeHaveRead(systemNoticeId) {
  return request({
    url: `/SystemNotice/setSystemNoticeHaveRead/${systemNoticeId}`,
    method: 'put'
  })
}
